(function () {
	'use strict';

	angular
	.module('app')
	.controller('ConfiguracaoRodaPeNoticiaController', ConfiguracaoRodaPeNoticiaController);

	ConfiguracaoRodaPeNoticiaController.$inject = ['Consulta', '$scope', '$timeout', '$location', 'CompartilharScope', 'GlobalVariable', 'UtilService'];

	function ConfiguracaoRodaPeNoticiaController(Consulta, $scope, $timeout, $location, CompartilharScope, GlobalVariable, UtilService) {

		var alterou = 1;
		var codPainel = $scope.CodigoPainel;
		$scope.Config = null;
		$scope.Plataformas = null;

		$scope.SetMensagensCustomizaveis = SetMensagensCustomizaveis;

		$scope.CarregarCorFundoPlataforma = CarregarCorFundoPlataforma;
		$scope.CarregarCorFontePlataforma = CarregarCorFontePlataforma;
		$scope.salvarInterface = salvarInterface;
		$scope.GetImagemVeiculo = GetImagemVeiculo;

		function salvarInterface() {
			console.log("salvar interface");
		}

		function CarregarCorFundoPlataforma(plataforma) {
			if (plataforma) {
				var p = UtilService.arrayFirst($scope.Plataformas, function (item) {
					return item.CodigoPlatafoma == plataforma;
				});
				if (p) { return p.CorFundo };
			}
			return "#4B8CAD";
		}

		function CarregarCorFontePlataforma(plataforma) {
			if (plataforma) {
				var p = UtilService.arrayFirst($scope.Plataformas, function (item) {
					return item.CodigoPlatafoma == plataforma;
				});
				if (p) { return p.CorFonte };
			}
			return "#FFFFFF";
		}

		function SetMensagensCustomizaveis(mensagens, plataforma) {
			$scope.exibeMsg = false;
			$scope.exibePrev = false;

			$scope.Config = mensagens[0];
			$scope.Plataformas = plataforma;

			$scope.Config.TempoMensagensCustomizaveis = new Date($scope.Config.TempoMensagensCustomizaveis);
			$scope.Config.TempoPaginacaoSaidasPrevistas = new Date($scope.Config.TempoPaginacaoSaidasPrevistas);

			var tempoMensagem = UtilService.getMillisecondsFromDate($scope.Config.TempoMensagensCustomizaveis);
			var tempoPrevisao = UtilService.getMillisecondsFromDate($scope.Config.TempoPaginacaoSaidasPrevistas);
			

			if (tempoMensagem && (tempoMensagem !== "0" || tempoMensagem !== null)) {
				$scope.tempoMensagem = parseInt(tempoMensagem);
			}

			if (tempoPrevisao && (tempoPrevisao !== "0" || tempoPrevisao !== null)) {
				$scope.tempoPrevisao = parseInt(tempoPrevisao);
			}

			if (mensagens[0].ExibirMensagensCustomizaveis === 1) {
			    var codigoPainel = GlobalVariable.getPainelFinal();
			    $scope.SourceMensagemRodape = [];

			    if (mensagens[0].MensagemUmMensagensCustomizaveis) {
			        $scope.SourceMensagemRodape.push({
			            Mensagem: mensagens[0].MensagemUmMensagensCustomizaveis,
			            Imagem: mensagens[0].UrlImagemUmMensagensCustomizaveis.split('&')[0] + "&codigoPainel=" + codigoPainel + "&alterou=" + alterou,
			            ExibeImagem: mensagens[0].ExibeImagemUmMensagensCustomizaveis,
			            Codigo: 1,
			            Tipo: "Mensagem"
			        });
			    };

			    if (mensagens[0].MensagemDoisMensagensCustomizaveis) {
			        $scope.SourceMensagemRodape.push({
			            Mensagem: mensagens[0].MensagemDoisMensagensCustomizaveis,
			            Imagem: mensagens[0].UrlImagemDoisMensagensCustomizaveis.split('&')[0] + "&codigoPainel=" + codigoPainel + "&alterou=" + alterou,
			            ExibeImagem: mensagens[0].ExibeImagemDoisMensagensCustomizaveis,
			            Codigo: 2,
			            Tipo: "Mensagem"
			        });
			    };

			    if (mensagens[0].MensagemTresMensagensCustomizaveis) {
			        $scope.SourceMensagemRodape.push({
			            Mensagem: mensagens[0].MensagemTresMensagensCustomizaveis,
			            Imagem: mensagens[0].UrlImagemTresMensagensCustomizaveis.split('&')[0] + "&codigoPainel=" + codigoPainel + "&alterou=" + alterou,
			            ExibeImagem: mensagens[0].ExibeImagemTresMensagensCustomizaveis,
			            Codigo: 3,
			            Tipo: "Mensagem"
			        });
			    };

			    alterou++;
			}
		}

		function GetImagemVeiculo(id) {
			return GlobalVariable.GetImagemVeiculoNavegador(id);
		}

		CompartilharScope.addScope('ConfiguracaoRodaPeNoticiaController', $scope);

	}


})();
